Subject: bug#62508: 28.2; vhdl-mode ModelSim compile warnings aren't highlighted

From: Reto Zimmermann <[email-masked]>
Date: Mon, 3 Apr 2023 12:16:38 +0200

The regexp I sent had the "+" in there, it must have gotten lost 
somewhere in the process.  The single-escaped square brackets always 
worked fine, but I agree that it should be double-escaped to conform to 
the standard.

So yes, I agree with Mattias' fix.

Reto

On 03.04.2023 09:21, Cyril Arnould wrote:
> True, looking at the new regexp in emacs the escape characters are 
> highlighted in red, indicating an error. I can verify Mattias' 
> modification still works for me.
>
> I can't properly verify the bracketed version of the warning since I 
> don't get those with my ModelSim, but if I manually type out a warning 
> with brackets it does get highlighted when using re-builder. With 
> Reto's modification on the other hand the bracket warning is not 
> highlighted.
>
> Gesendet von Outlook für Android <https://aka.ms/AAb9ysg>
> ------------------------------------------------------------------------
> *From:* Mattias Engdegård <[email-masked]> on behalf of 
> Mattias Engdegård <[email-masked]>
> *Sent:* Saturday, April 1, 2023 2:01:19 PM
> *To:* [email-masked] <[email-masked]>
> *Cc:* Cyril Arnould <[email-masked]>; Eli Zaretskii 
> <[email-masked]>; [email-masked] <[email-masked]>; 
> [email-masked] <[email-masked]>
> *Subject:* bug#62508: 28.2; vhdl-mode ModelSim compile warnings aren't 
> highlighted
> The new regexp,
>
> "^\\(ERROR\\|WARNING\\|\\*\\* Error\\|\\*\\* Warning\\)[^:]*:\\( 
> *\[[0-9]\]\\| ([^)]+)\\)? \\([^ \t\n]+\\)(\\([0-9]+\\)):"
> ^^^^^^^^^
>
> isn't quite right: there are single-escaped square brackets, and the 
> original regexp permitted multiple digits, not just one, between 
> square brackets. The part
>
>   "\[[0-9]\]"
>
> should probably be
>
>   "\\[[0-9]+]"
>
> but the author needs to confirm this.
>